#include <iostream>
#include <fstream>
#include <sstream>
#include <cstdlib>
#include "math.h"
#include <time.h>
#include <map>
#include <list>

using namespace std;

class Network
{
	typedef map<string, int , less<string> > MapString2Int;
	typedef map<int, list<int>, less<int> > MapInt2List;
	typedef map<int, string, less<int> > MapInt2Name;

	MapInt2Name mNames;
	MapString2Int mapName;
public:
	bool **network;
	int **neighbor;
	int size;
	int maxDeg;
	int *deg;
	int numOfEdge;
	char* name;
	bool *self;
	Network(char *nam);
	Network(void);
	~Network(void);
	void randomEdgeRemoval(int remNum);
	void randomNodeRemoval(int remNum);
	void randomEdgeAddition(int addNum);
	string getName(int id)
	{
		return mNames[ id ];
	};
	int getID(string name)
	{
		return mapName[ name ];
	};
private:
};

